# $Revision: 1.10 $, $Date: 2004/06/23 21:19:53 $
Summary:	XSLT preprocessor
Summary(pl):	Preprocesor XSLT
Name:		xspp
Version:	0.0.3
Release:	1.1
License:	BSD
Group:		Applications/Publishing/XML
Vendor:		Michal Moskal <malekith@pld-linux.org>
Source0:	http://ep09.pld-linux.org/~malekith/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	c5b38f2dfec624bcffb15c14d5d762ba
URL:		http://ep09.pld-linux.org/~malekith/xspp/
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XSPP stands for XSLT Stylesheet PreProcessor. It can be used to
simplify writing XSLT stylesheets. It is result of author being
terrified by xsl:call-template size :)

%description -l pl
XSPP to skrt od XSLT Stylesheet PreProcessor. Moe by uyty do
uproszczenia pisania arkuszy stylw XSLT. Jest wynikiem przeraenia
autora rozmiarem wywoania xsl:call-template :)

%prep
%setup -q

%build
%{__make} opt

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.html LICENSE
%attr(755,root,root) %{_bindir}/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xspp.spec,v $
Revision 1.10  2004/06/23 21:19:53  blues
- release 1.1

Revision 1.9  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.8  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.7  2003/05/28 13:03:14  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:28:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/09 23:21:34  malekith
- up to 0.0.3

Revision 1.4  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.3  2002/05/17 11:04:00  malekith
- ok, we need next version anyway ;) - hack for build removed
- up to 0.0.2

Revision 1.2  2002/05/17 11:01:30  malekith
- hack for build (will be removed in next version)

Revision 1.1  2002/05/16 14:32:03  malekith
- initial
